Subject: Re: bug#51654: 29.0.50; mule-cmds.el compiler warnings about emoji-*

From: Arash Esbati <[email-masked]>
Date: Sun, 07 Nov 2021 12:03:07 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Arash Esbati <[email-masked]>
>> Date: Sun, 07 Nov 2021 09:37:24 +0100
>> 
>> I think after 6b706b1a7d, requiring the emoji library is necessary.
>
> I guess you didn't bootstrap?  If so, just touch mule-cmds.el and try
> again.

I use a script which does:

    git clean -fdx && ./autogen.sh && ./configure ... && make

My tree should be then in a clean status when make starts.

I also tried your suggestion, warnings remain.

Best, Arash